datablock PlayerData(leggingsArmor : PlayerStandardArmor)
{
	canJet = 0;
	runForce = 0;
	jumpForce = 0;

	shapeFile = "./leggings.dts";
	uiName = "";

	boundingBox = vectorScale("20 20 20", 4);
	crouchBoundingBox = vectorScale("20 20 20", 4);

	keepOnDeath = 1;
};

function wearLeggings(%obj, %cl)
{
	if (isObject(%obj.rLegging))
	{
		%obj.rLegging.delete();
	}
	if (isObject(%obj.lLegging))
	{
		%obj.lLegging.delete();
	}
	%rLegging = new AIPlayer(Leggings) {dataBlock = leggingsArmor;};
	%lLegging = new AIPlayer(Leggings) {dataBlock = leggingsArmor;};

	%rLegging.setScale(%obj.getScale());
	%lLegging.setScale(%obj.getScale());

	%rLegging.kill();
	%lLegging.kill();

	%rLegging.hideNode("lLegging");
	%lLegging.hideNode("rLegging");

	%obj.mountObject(%rLegging, 3);
	%obj.mountObject(%lLegging, 4);

	if (%cl.rLeg == 1)
		%obj.rLegging = %rLegging;
	else
		%rLegging.delete();

	if (%cl.lLeg == 1)
		%obj.lLegging = %lLegging;
	else
		%lLegging.delete();
}

function serverCmdLeggings(%cl)
{
	if (!isObject(%pl = %cl.player) || %cl.lastLeggingedTime + 2 > $Sim::Time)
	{
		return;
	}

	%cl.lastLeggingedTime = $Sim::Time;

	wearLeggings(%pl, %cl);
}

function serverCmdFishnets(%cl)
{
	serverCmdLeggings(%cl);
}

package leggingsKeepOnDeath
{
	function Armor::onDisabled(%this, %obj, %state)
	{
		if (%this.keepOnDeath)
		{
			return;
		}

		return parent::onDisabled(%this, %obj, %state);
	}

	function Armor::onRemove(%this, %obj)
	{
		if (isObject(%obj.rLegging))
		{
			%obj.rLegging.delete();
		}
		if (isObject(%obj.lLegging))
		{
			%obj.lLegging.delete();
		}

		return parent::onRemove(%this, %obj, %state);
	}

	function GameConnection::applyBodyParts(%cl)
	{
		%ret = parent::applyBodyParts(%cl);

		if (isObject(%pl = %cl.player))
		{
			if (isObject(%pl.rLegging))
			{
				%pl.rLegging.delete();
			}
			if (isObject(%pl.lLegging))
			{
				%pl.lLegging.delete();
			}
		}

		return %ret;
	}
};
activatePackage(leggingsKeepOnDeath);